Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 12 Feb 2026 09:11:24 +0000
From:      Ronald Klop <ronald@FreeBSD.org>
To:        ports-committers@FreeBSD.org, dev-commits-ports-all@FreeBSD.org, dev-commits-ports-main@FreeBSD.org
Subject:   git: 0e013ec00b11 - main - databases/mongodb80: harden the port to external CONFIGURE_ARGS
Message-ID:  <698d993c.468bb.5d9d6621@gitrepo.freebsd.org>

index | next in thread | raw e-mail

The branch main has been updated by ronald:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0e013ec00b118ecfcb39558ca69344ca5bc2f29d

commit 0e013ec00b118ecfcb39558ca69344ca5bc2f29d
Author:     Ronald Klop <ronald@FreeBSD.org>
AuthorDate: 2026-02-12 09:09:05 +0000
Commit:     Ronald Klop <ronald@FreeBSD.org>
CommitDate: 2026-02-12 09:11:04 +0000

    databases/mongodb80: harden the port to external CONFIGURE_ARGS
    
    CONFIGURE_ARGS is directly connected to CONFIGURE_SCRIPT and the script
    only accepts 2 parameters. Exit 1 on incorrect number of parameters.
    And don't allow to += on CONFIGURE_ARGS.
    
    Not bumping PORTREVISION, no content change intended.
    
    NB: This is the same change as 380338c53b75ef594b1faccc59bc111546809f31
    for mongodb70.
    
    PR:     291951
---
 databases/mongodb80/Makefile                                  |  2 +-
 .../files/patch-src_third__party_mozjs_gen-config.sh          | 11 ++++++++++-
 2 files changed, 11 insertions(+), 2 deletions(-)

diff --git a/databases/mongodb80/Makefile b/databases/mongodb80/Makefile
index 0c947c480a8a..cc39c518c902 100644
--- a/databases/mongodb80/Makefile
+++ b/databases/mongodb80/Makefile
@@ -63,7 +63,7 @@ python_OLD_CMD=	@python_interpreter@
 
 HAS_CONFIGURE=		yes
 CONFIGURE_SCRIPT=	gen-config.sh
-CONFIGURE_ARGS+=	${MOZJS_ARCH} \
+CONFIGURE_ARGS=		${MOZJS_ARCH} \
 			freebsd
 CONFIGURE_ENV+=		PYTHON3="${PYTHON_CMD}"
 
diff --git a/databases/mongodb80/files/patch-src_third__party_mozjs_gen-config.sh b/databases/mongodb80/files/patch-src_third__party_mozjs_gen-config.sh
index 2e515c03f964..c8e25c733ec9 100644
--- a/databases/mongodb80/files/patch-src_third__party_mozjs_gen-config.sh
+++ b/databases/mongodb80/files/patch-src_third__party_mozjs_gen-config.sh
@@ -1,4 +1,4 @@
---- src/third_party/mozjs/gen-config.sh.orig	2025-05-13 17:12:47 UTC
+--- src/third_party/mozjs/gen-config.sh.orig	2025-07-07 23:12:17 UTC
 +++ src/third_party/mozjs/gen-config.sh
 @@ -1,4 +1,4 @@
 -#!/bin/bash
@@ -6,6 +6,15 @@
  
  set -e
  set -v
+@@ -7,7 +7,7 @@ then
+ if [ $# -ne 2 ]
+ then
+     echo "Please supply an arch: x86_64, i386, etc and a platform: osx, linux, windows, etc"
+-    exit 0;
++    exit 1;
+ fi
+ 
+ _BuiltPathPrefix="mozilla-release/js/src/_build/js/src"
 @@ -29,6 +29,9 @@ case "$_Path" in
  }
  


home | help

Want to link to this message? Use this
URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?698d993c.468bb.5d9d6621>